from machine import UART, Pin
import time

class Remote:
    def __init__(self, pin, baudrate=2400):
        self.baudrate = baudrate
        self.uart = UART(pin, baudrate)
    
    def get(self):
        if self.uart.any():
            bytes_ = self.uart.read(1)
        try:
            char = bytes_.decode('utf-8')
            
        except:
            char = "?"
        
        return char
